Summary:     3D kart racing game
Name:           supertuxkart
Version:        1.4
Release:        %mkrel 1
Group:          Games/Arcade
License:        GPLv2+
URL:             https://supertuxkart.net
BuildRequires:  cmake
BuildRequires:  libgomp-devel
BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(zlib)

%description
SuperTuxKart is a free 3D kart racing game. The aim is to make the game fun
more than to make it realistic. You can play with up to 4 friends on one PC,
racing against each other or just try to beat the computer (a network
multiplayer feature is planned).

You can do a single race against other karts, compete in one of several
Grand Prix, try to beat the high score in time trials on your own,
play battle mode against your friends, and more!


%prep

%build

pushd %_sourcedir
wget -nc https://github.com/supertuxkart/stk-code/releases/download/1.4/SuperTuxKart-%{version}-src.tar.xz
tar -xJf SuperTuxKart-%{version}-src.tar.xz -C %_builddir 

popd

pushd %_builddir/SuperTuxKart-%{version}-src

%cmake -DSTK_INSTALL_BINARY_DIR=%{_gamesbindir} \
       -DSTK_INSTALL_DATA_DIR=%{_gamesdatadir}/%{name} \
       -DBUILD_SHARED_LIBS=OFF \
       -DBUILD_RECORDER=OFF \
       -DUSE_SYSTEM_ENET=OFF \
       -DUSE_SYSTEM_GLEW=OFF

%make_build

popd

%install
pushd %_builddir/SuperTuxKart-%{version}-src
%make_install -C build

# Already in hicolor
rm -rf %{buildroot}/%{_datadir}/pixmaps
rm -rf %{buildroot}/%{_includedir}
rm -rf %buildroot/%{_prefix}/lib/cmake
popd

%files
%doc
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_gamesdatadir}/%{name}/
%{_libdir}/libwiiuse.a
%{_prefix}/lib/libangelscript.a

%pre
rm -rf /usr/games/supertuxkart > /dev/null 2>&1
rm -rf /usr/share/games/supertuxkart > /dev/null 2>&1


%changelog
* Tue Nov 01 2022 tex - 1.4-1pclos2022
- new version

* Fri Oct 01 2021 pp - 1.3-1pclos2020
- new version

* Sat Aug 29 2020 tex - 1.2-1pclos2020
- new version
